<script>
import {defineComponent} from "vue";
import MainPage from "./components/MainPage.vue";
import TitleBar from "./components/Title/TitleBar.vue";
import TitlePage from "./components/TitlePage.vue";
import store from "./store/store.js";
import Websocket from "./plugins/websocket.js"

export default defineComponent({
    components: {TitlePage, TitleBar, MainPage},
    data() {
        return {
            websocket: null
        }
    },
    async mounted() {
        this.websocket = new Websocket();
        await this.websocket.connect();
        this.websocket.listen();
        // const enabledActions = store.getters.getActions.filter(function (action) {
        //     return action.enabled && action.shortcut
        // })
        // enabledActions.forEach(shortcut => {
        //     registerKeystroke(shortcut);
        // })
    },
    beforeDestroy() {
        this.websocket.disconnect();
        // const enabledActions = store.getters.getActions.filter(function (action) {
        //     return action.enabled && action.shortcut
        // })
        // enabledActions.forEach(shortcut => {
        //     unregisterKeystroke(shortcut);
        // })
    },
})
</script>

<template>
    <v-layout class="layout-wrapper h-screen">
       <title-page/>
       <main-page/>
    </v-layout>
</template>

<style>
::-webkit-scrollbar {
    display: none;
}
</style>
